Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.exception
Class TCPIPNoResponseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.stc.connector.tcpip.model.exception.TCPIPNoResponseException

All Implemented Interfaces:
  TCPIPNestedException, java.io.Serializable

    public class TCPIPNoResponseException

extends java.io.IOException
implements TCPIPNestedException

Exception class for TCPIP I/O exception. It will happen when initial receive operation timeout before it gets any data.

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2008/04/23 07:15:14 $
Author:
  Harry Liu
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`TCPIPNoResponseException()` Creates a new instance of `TCPIPNoResponseException` without detail message.
`TCPIPNoResponseException(java.lang.Exception nestedException)`
`TCPIPNoResponseException(java.lang.String msg)` Constructs an instance of `TCPIPNoResponseException` with the specified detail message.
`TCPIPNoResponseException(java.lang.String msg, java.lang.Exception nestedException)`

Method Summary
`java.lang.Exception` | `getNestedException()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPNoResponseException

    public TCPIPNoResponseException()

  Creates a new instance of `TCPIPNoResponseException` without detail message.

### TCPIPNoResponseException

    public TCPIPNoResponseException(java.lang.String msg)

  Constructs an instance of `TCPIPNoResponseException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

### TCPIPNoResponseException

    public TCPIPNoResponseException(java.lang.Exception nestedException)

Parameters:
  `nestedException` - the Exception which has caused this exception

### TCPIPNoResponseException

    public TCPIPNoResponseException(java.lang.String msg,
                                    java.lang.Exception nestedException)

Parameters:
  `msg` - the detail message
  `nestedException` - the Exception which has caused this exception

Method Detail

### getNestedException

    public java.lang.Exception getNestedException()

  Specified by:
    `getNestedException` in interface `TCPIPNestedException`
  Returns:
  See Also:
    `TCPIPNestedException.getNestedException()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD